//
//  DataMonitorPluginController.h
//  GlowWorm
//
//  Created by Curtis Jones on 2007.02.12.
//  Copyright 2007 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <DataMonitorController.h>


@interface DataMonitorPluginController : NSObject
{
	/* shell sub-menu stuff */
	IBOutlet NSMenu									* mMenuMainMenu;			//
	IBOutlet NSMenuItem							* mMenuMainItem;			// 
	IBOutlet NSMenuItem							* mMenuPrefsItem;			// show preferences window
	IBOutlet NSMenuItem							* mMenuSetupItem;			// show setup window
	IBOutlet NSMenuItem							* mMenuAboutItem;			// show about window
	
	NSMutableDictionary							* mMonitorDict;				// monitors keyed on ruleid
	
}

- (DataMonitorController *)newDataMonitorForRuleId:(NSNumber *)aStatId;

- (void)startup;
- (void)startupLoadRules;

@end
